Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.treeframe
Class TreeSelection

    java.lang.Object
      info.bioinfweb.treegraph.gui.treeframe.TreeSelection

    public class TreeSelection

extends java.lang.Object

This class manages the selection of multiple elements in an tree view panel.

Author:
  Ben Stöver

Field Summary
`private boolean` | `branchPresent`
`private boolean` | `charShiftLabelPresent`
`private java.util.Vector<ConcretePaintableElement>` | `elements`
`private boolean` | `legendPresent`
`private boolean` | `nodePresent`
`private TreeViewPanel` | `owner`
`private boolean` | `scaleBarPresent`
`private boolean` | `textLabelPresent`

Constructor Summary
`TreeSelection(TreeViewPanel owner)`

Method Summary
`void` | `add(ConcretePaintableElement element)`
`private void` | `calculateElementFlags()`
`void` | `clear()`
`java.lang.String[]` | `containedLabelIDs()` Returns a list of the ids of the labels that are currently selected.
`boolean` | `contains(ConcretePaintableElement element)`
`boolean` | `containsBranch()`
`boolean` | `containsCharShiftLabel()`
`boolean` | `containsEdgeRadiusElement()`
`boolean` | `containsLabel()`
`boolean` | `containsLegend()`
`boolean` | `containsLineElement()`
`boolean` | `containsNode()`
`boolean` | `containsOnlyBranches()`
`boolean` | `containsOnlyCharShiftLabels()`
`boolean` | `containsOnlyEdgeRadiusElements()`
`boolean` | `containsOnlyLabels()`
`boolean` | `containsOnlyLegends()`
`boolean` | `containsOnlyLineElements()`
`boolean` | `containsOnlyNodes()`
`boolean` | `containsOnlyScaleBar()`
`boolean` | `containsOnlyTextElements()`
`boolean` | `containsOnlyTextLabels()`
`boolean` | `containsOnlyTreeElements()`
`boolean` | `containsScaleBar()`
`boolean` | `containsTextElement()`
`boolean` | `containsTextLabel()`
`boolean` | `containsTreeElement()`
`int` | `count()`
`ConcretePaintableElement` | `get(int index)`
`Branch` | `getFirstBranch()`
`CharShiftLabel` | `getFirstCharShiftLabel()`
`EdgeRadiusElement` | `getFirstEdgeRadiusElement()`
`Label` | `getFirstLabel()`
`Legend` | `getFirstLegend()`
`LineElement` | `getFirstLineElement()`
`Node` | `getFirstNode()`
`TextElement` | `getFirstTextElement()`
`Label` | `getFirstTextLabel()`
`ScaleBar` | `getScaleBar()`
`boolean` | `isEmpty()`
`int` | `nodeCount()`
`void` | `remove(ConcretePaintableElement element)`
`void` | `set(ConcretePaintableElement element)` Sets the specified element as the only selected element.
`
`<T> T[]`
` | `toArray(T[] arr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    private TreeViewPanel owner

### elements

    private java.util.Vector<ConcretePaintableElement> elements

### nodePresent

    private boolean nodePresent

### branchPresent

    private boolean branchPresent

### textLabelPresent

    private boolean textLabelPresent

### charShiftLabelPresent

    private boolean charShiftLabelPresent

### legendPresent

    private boolean legendPresent

### scaleBarPresent

    private boolean scaleBarPresent

Constructor Detail

### TreeSelection

    public TreeSelection(TreeViewPanel owner)

Method Detail

### calculateElementFlags

    private void calculateElementFlags()

### get

    public ConcretePaintableElement get(int index)

### toArray

    public <T> T[] toArray(T[] arr)

### set

    public void set(ConcretePaintableElement element)

  Sets the specified element as the only selected element.

  Parameters:
    `element` - - the element to select or `nil` if no element should be# selected

### add

    public void add(ConcretePaintableElement element)

### remove

    public void remove(ConcretePaintableElement element)

### clear

    public void clear()

### count

    public int count()

### isEmpty

    public boolean isEmpty()

### contains

    public boolean contains(ConcretePaintableElement element)

### containsNode

    public boolean containsNode()

### containsOnlyNodes

    public boolean containsOnlyNodes()

### containsBranch

    public boolean containsBranch()

### containsOnlyBranches

    public boolean containsOnlyBranches()

### containsTextLabel

    public boolean containsTextLabel()

### containsOnlyTextLabels

    public boolean containsOnlyTextLabels()

### containsCharShiftLabel

    public boolean containsCharShiftLabel()

### containsOnlyCharShiftLabels

    public boolean containsOnlyCharShiftLabels()

### containsLegend

    public boolean containsLegend()

### containsOnlyLegends

    public boolean containsOnlyLegends()

### containsScaleBar

    public boolean containsScaleBar()

### containsOnlyScaleBar

    public boolean containsOnlyScaleBar()

### containsLineElement

    public boolean containsLineElement()

### containsOnlyLineElements

    public boolean containsOnlyLineElements()

### containsTextElement

    public boolean containsTextElement()

### containsOnlyTextElements

    public boolean containsOnlyTextElements()

### containsEdgeRadiusElement

    public boolean containsEdgeRadiusElement()

### containsOnlyEdgeRadiusElements

    public boolean containsOnlyEdgeRadiusElements()

### containsLabel

    public boolean containsLabel()

### containsOnlyLabels

    public boolean containsOnlyLabels()

### containsTreeElement

    public boolean containsTreeElement()

### containsOnlyTreeElements

    public boolean containsOnlyTreeElements()

### getFirstLineElement

    public LineElement getFirstLineElement()

### getFirstTextElement

    public TextElement getFirstTextElement()

### getFirstEdgeRadiusElement

    public EdgeRadiusElement getFirstEdgeRadiusElement()

### getFirstBranch

    public Branch getFirstBranch()

### getFirstNode

    public Node getFirstNode()

### getFirstLabel

    public Label getFirstLabel()

### getFirstTextLabel

    public Label getFirstTextLabel()

### getFirstCharShiftLabel

    public CharShiftLabel getFirstCharShiftLabel()

### getFirstLegend

    public Legend getFirstLegend()

### getScaleBar

    public ScaleBar getScaleBar()

### containedLabelIDs

    public java.lang.String[] containedLabelIDs()

  Returns a list of the ids of the labels that are currently selected. If a label without an ID is selected `""` ist included in the result.

  Returns:
    the list of IDs (Every ID is included only once.)

### nodeCount

    public int nodeCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD